- Main Page
- Modules
- Classes
- Files
- Directories
- Related Pages
- Examples

- Search for |

# axutil_allocator.h File Reference

Axis2 memory allocator interface. More...

`#include <axutil_utils_defines.h>`
`#include <stdlib.h>`

Go to the source code of this file.

## Classes
struct | axutil_allocator
| Axis2 memory allocator. More...
## Defines
#define | AXIS2_MALLOC(allocator, size) ((allocator)->malloc_fn(allocator, size))
#define | AXIS2_REALLOC(allocator, ptr, size) ((allocator)->realloc(allocator, ptr, size))
#define | AXIS2_FREE(allocator, ptr) ((allocator)->free_fn(allocator, ptr))
## Typedefs
typedef struct axutil_allocator | axutil_allocator_t
| Axis2 memory allocator.
## Functions
AXIS2_EXTERN axutil_allocator_t * | axutil_allocator_init (axutil_allocator_t *allocator)
AXIS2_EXTERN void | axutil_allocator_free (axutil_allocator_t *allocator)
AXIS2_EXTERN void | axutil_allocator_switch_to_global_pool (axutil_allocator_t *allocator)
AXIS2_EXTERN void | axutil_allocator_switch_to_local_pool (axutil_allocator_t *allocator)

## Detailed Description

Axis2 memory allocator interface.